# ○

Official repository for [The 01 Project](https://twitter.com/hellokillian/status/1745875973583896950).

<br>

## Installation

1. **Install PortAudio and FFmpeg.**

   ```bash
   # For macOS
   brew install portaudio ffmpeg

   # For Ubuntu
   sudo apt-get install portaudio19-dev libav-tools
   ```

2. **Install Python dependencies.**

   ```bash
   python -m pip install -r requirements.txt
   ```

3. **(optional) Download local audio models**

If you want to run local speech-to-text from whisper, download the GGML Whisper model from [Huggingface](https://huggingface.co/ggerganov/whisper.cpp). Then in `OS/01/start.sh`, set `ALL_LOCAL=TRUE` and set `WHISPER_MODEL_PATH` to the path of the model.

## Usage

1. **Navigate to the project directory.**

   ```bash
   cd OS/01
   ```

2. **Run the start script.**

   ```bash
   bash start.sh
   ```

<br>

## Background

### [Context ↗](https://github.com/KillianLucas/01/blob/main/CONTEXT.md)

The story of devices that came before the 01.

### [Inspiration ↗](https://github.com/KillianLucas/01/tree/main/INSPIRATION.md)

Things we want to steal great ideas from.

<br>

## Direction

### [Goals ↗](https://github.com/KillianLucas/01/blob/main/GOALS.md)

What we're going to do.

### [Use Cases ↗](https://github.com/KillianLucas/01/blob/main/USE_CASES.md)

What the 01 will be able to do.

<br>

## Project Management

### [Tasks ↗](https://github.com/KillianLucas/01/blob/main/TASKS.md)

Our master task list.

### [Teams ↗](https://github.com/KillianLucas/01/blob/main/TEAMS.md)

Our (flexible) teams.

<br>

<br>

> **14** days remaining until launch
